> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Trust Center viewer

> Updates a viewer's access on a Trust Center.



## OpenAPI

````yaml /reference/manage-vanta.json patch /trust-centers/{slugId}/viewers/{viewerId}
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /trust-centers/{slugId}/viewers/{viewerId}:
    patch:
      tags:
        - Trust Centers
      summary: Update Trust Center viewer
      description: Updates a viewer's access on a Trust Center.
      operationId: UpdateTrustCenterViewer
      parameters:
        - in: path
          name: slugId
          required: true
          schema:
            type: string
        - in: path
          name: viewerId
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTrustCenterViewerInput'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrustCenterViewer'
              examples:
                Example 1:
                  value:
                    id: a2f7e1b9d0c3f4e5a6c7b8d9
                    email: exampleviewer@company.com
                    name: Example Viewer
                    companyName: Viewer Company, Inc.
                    resourceIds: null
                    accessLevel: FULL_ACCESS
                    ndaInfo: null
                    externalServiceAssociations:
                      - service: SALESFORCE
                        id: 0032S000062DfqnQBG
                        objectType: Salesforce Contact
                    creationDate: '2020-01-01T00:00:00.000Z'
                    updatedDate: '2020-01-01T00:00:00.000Z'
                    expirationDate: null
                    addedByUser: null
                    customerTrustAccountId: null
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateTrustCenterViewerInput:
      properties:
        accessLevel:
          $ref: '#/components/schemas/ViewerAccessLevel'
          description: Access level for the viewer.
        resourceIds:
          items:
            type: string
          type: array
          description: >-
            Identifiers for the resources that this viewer should have access
            to.
        expirationDate:
          type: string
          format: date-time
          nullable: true
          description: |-
            The date access should expire for this viewer. Set to null to remove
            expiration.
        isNdaRequired:
          type: boolean
          description: Whether to require an NDA for the viewer.
        customerTrustAccountId:
          type: string
          nullable: true
          description: |-
            ID of a Customer Trust Account to associate with this viewer.
            Set to null to remove the association.
            Omit to leave unchanged.
      type: object
      additionalProperties: false
    TrustCenterViewer:
      properties:
        id:
          type: string
          description: Unique identifier for the viewer.
        email:
          type: string
          description: Email of the viewer.
        name:
          type: string
          nullable: true
          description: Name of the viewer.
        companyName:
          type: string
          nullable: true
          description: Name of the viewer's company.
        resourceIds:
          items:
            type: string
          type: array
          nullable: true
          description: |-
            IDs for the resources this viewer has access to. If null, the
            viewer has access to all resources on the Trust Center.
        accessLevel:
          $ref: '#/components/schemas/ViewerAccessLevel'
          description: Access level of the viewer.
        ndaInfo:
          properties:
            docuSign:
              properties:
                webhookId:
                  type: string
                  description: >-
                    Unique ID used to identify and validate incoming webhook
                    requests.
                envelopeId:
                  type: string
                  description: ID of the created envelope in DocuSign.
                accountId:
                  type: string
                  description: ID of the DocuSign account.
                accountBaseUrl:
                  type: string
                  description: eSignature API URL for the DocuSign account.
              required:
                - webhookId
                - envelopeId
                - accountId
                - accountBaseUrl
              type: object
              nullable: true
              description: |-
                Contains information about the DocuSign NDA if that is the NDA
                provider.
            oneClick:
              properties:
                ndaUploadedDocumentId:
                  type: string
                  nullable: true
                  description: ID for the NDA document that was signed.
                name:
                  type: string
                  description: Name of the person who signed the NDA.
                date:
                  type: string
                  format: date-time
                  description: The date the NDA document was signed.
              required:
                - ndaUploadedDocumentId
                - name
                - date
              type: object
              nullable: true
              description: |-
                Contains information about the click-wrap NDA if that is the NDA
                provider.
            provider:
              $ref: '#/components/schemas/ViewerNdaProvider'
              description: The provider for the viewer's NDA.
            satisfiedDate:
              type: string
              format: date-time
              nullable: true
              description: The date the NDA was satisfied.
          required:
            - docuSign
            - oneClick
            - provider
            - satisfiedDate
          type: object
          nullable: true
          description: NDA-related information for the viewer.
        externalServiceAssociations:
          items:
            properties:
              objectType:
                type: string
                description: >-
                  The type of object in the external service the viewer was
                  linked to.
              id:
                type: string
                description: The ID of the user in the external service.
              service:
                $ref: '#/components/schemas/ExternalService'
                description: The external service for the associated user.
            required:
              - objectType
              - id
              - service
            type: object
          type: array
          nullable: true
          description: Objects in external services that the viewer is associated with.
        creationDate:
          type: string
          format: date-time
          description: Date the viewer was created.
        updatedDate:
          type: string
          format: date-time
          description: Date the viewer was last updated.
        expirationDate:
          type: string
          format: date-time
          nullable: true
          description: Expiration date for the viewer's access.
        addedByUser:
          allOf:
            - $ref: '#/components/schemas/CustomerTrustUser'
          nullable: true
          description: User that shared the Trust Center with this viewer.
        customerTrustAccountId:
          type: string
          nullable: true
          description: ID of the Customer Trust Account associated with this viewer.
      required:
        - id
        - email
        - name
        - companyName
        - resourceIds
        - accessLevel
        - ndaInfo
        - externalServiceAssociations
        - creationDate
        - updatedDate
        - expirationDate
        - addedByUser
        - customerTrustAccountId
      type: object
      additionalProperties: false
    ViewerAccessLevel:
      description: >-
        The access level of the viewer.

        FULL_ACCESS means having access to all resources on the trust center.

        PARTIAL_ACCESS means having access to all public resources and a select
        list of requestable resources.
      enum:
        - FULL_ACCESS
        - PARTIAL_ACCESS
      type: string
    ViewerNdaProvider:
      description: >-
        The provider for a viewer's NDA. This can also be a provider that
        bypassed

        the NDA requirement, e.g. SFDC.
      enum:
        - DOCUSIGN
        - ONE_CLICK
        - SFDC_BYPASS
        - HUBSPOT_BYPASS
        - IRONCLAD_BYPASS
      type: string
    ExternalService:
      description: An external service that a Trust Center viewer may be associated with.
      enum:
        - SALESFORCE
        - HUBSPOT
        - IRONCLAD
      type: string
    CustomerTrustUser:
      properties:
        id:
          type: string
        organizationId:
          type: string
        email:
          type: string
        givenName:
          type: string
          nullable: true
        familyName:
          type: string
          nullable: true
      required:
        - id
        - organizationId
        - email
        - givenName
        - familyName
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````